Cyberduck Mountain Duck CLI

#4232 closed enhancement (fixed)

Change SSH options for open in Terminal.app

Reported by: zantoy@… Owned by: dkocher
Priority: normal Milestone: 3.6
Component: sftp Version: 3.4.1
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

Hello!

When I launch Terminal.app, my terminal connects with this command:

ssh -t guest@txot -p 22 “cd /home/guest/ && exec \$SHELL”

Is it possible to change SSH options?

Thanks

Change History (4)

comment:1 Changed on Feb 19, 2010 at 3:59:27 PM by dkocher

  • Component changed from core to sftp
  • Description modified (diff)
  • Priority changed from highest to normal
  • Summary changed from Terminal.app to Change SSH options for open in Terminal.app
  • Type changed from defect to enhancement

comment:2 Changed on Apr 2, 2010 at 9:22:47 AM by zantoy@…

up...

comment:3 Changed on Jul 27, 2010 at 8:15:23 AM by dkocher

Which options in particular you want to be able to customize?

comment:4 Changed on Aug 11, 2010 at 8:38:29 AM by dkocher

  • Milestone set to 3.6
  • Resolution set to fixed
  • Status changed from new to closed

You can now change the SSH command as of r6593 using the hidden configuration option

defaults write ch.sudo.cyberduck terminal.command.ssh \"ssh\ -t\ {0}\ {1}@{2}\ -p\ {3}\ \\\"cd\ {4}\ \&\&\ exec\ \\\\\$SHELL\\\"\"

where

  • {0} is -i <path to the private key>
  • {1} is the username from the login credentials
  • {2} is the hostname
  • {3} is the port number of the remote host
  • {4} is the current working directory in the browser

Because of all the escaping of characters, it might be easier to edit the key using Property List Editor if you have the developer tools installed. You can then set the string for the key terminal.command.ssh to ssh -t {0} {1}@{2} -p {3} "cd {4} && exec \$SHELL". Test the string in Terminal.app first if it is valid.

Note: See TracTickets for help on using tickets.
swiss made software